summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@osmocom.org>2020-01-26 13:35:44 +0100
committerHarald Welte <laforge@osmocom.org>2020-01-26 13:35:44 +0100
commit8eb4fdb59178e5aadb264579c4b2d267d7295556 (patch)
treef7ce97611ac255a93f7a773824a8e1595c7e5e8c
parent0bd157f0bdb46cb20a8c5c41601c5cf578893722 (diff)
ansible: Install poky-sdk only on x86_64 architectureHEADmaster
The SDK is pre-compiled for a x86_64 host architecture, we cannot use it e.g. on armhf (raspi). Change-Id: Ia565d2dba427c00aa08a4eca62ac7410448ada04
-rw-r--r--ansible/setup-jenkins-slave.yml2
1 files changed, 2 insertions, 0 deletions
diff --git a/ansible/setup-jenkins-slave.yml b/ansible/setup-jenkins-slave.yml
index 39e6f77..64938c8 100644
--- a/ansible/setup-jenkins-slave.yml
+++ b/ansible/setup-jenkins-slave.yml
@@ -20,6 +20,7 @@
- docker
- name: install-poky-sdk
+ when: ansible_architecture == "x86_64"
jenkins_user: osmocom-build
poky_installer_file: poky-glibc-x86_64-meta-toolchain-osmo-cortexa15hf-neon-toolchain-osmo-2.3.4.sh
poky_dest: /opt/poky-oc2g/2.3.4/
@@ -27,6 +28,7 @@
- poky
- name: install-poky-sdk
+ when: ansible_architecture == "x86_64"
jenkins_user: osmocom-build
poky_installer_file: poky-glibc-x86_64-meta-toolchain-osmo-armv5te-toolchain-osmo-2.3.4.sh
poky_dest: /opt/poky-sdk/2.3.4/